package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcTaskManage;
import com.ruoyi.szxc.mapper.SzxcTaskManageMapper;
import com.ruoyi.szxc.service.ISzxcTaskManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 任务管理Service业务层处理
 * 
 * @author hs
 * @date 2024-04-28
 */
@Service
public class SzxcTaskManageServiceImpl implements ISzxcTaskManageService 
{
    @Autowired
    private SzxcTaskManageMapper szxcTaskManageMapper;

    /**
     * 查询任务管理
     * 
     * @param id 任务管理主键
     * @return 任务管理
     */
    @Override
    public SzxcTaskManage selectSzxcTaskManageById(Long id)
    {
        return szxcTaskManageMapper.selectSzxcTaskManageById(id);
    }

    /**
     * 查询任务管理列表
     * 
     * @param szxcTaskManage 任务管理
     * @return 任务管理
     */
    @Override
    public List<SzxcTaskManage> selectSzxcTaskManageList(SzxcTaskManage szxcTaskManage)
    {
        return szxcTaskManageMapper.selectSzxcTaskManageList(szxcTaskManage);
    }

    /**
     * 新增任务管理
     * 
     * @param szxcTaskManage 任务管理
     * @return 结果
     */
    @Override
    public int insertSzxcTaskManage(SzxcTaskManage szxcTaskManage)
    {
        szxcTaskManage.setCreateTime(DateUtils.getNowDate());
        return szxcTaskManageMapper.insertSzxcTaskManage(szxcTaskManage);
    }

    /**
     * 修改任务管理
     * 
     * @param szxcTaskManage 任务管理
     * @return 结果
     */
    @Override
    public int updateSzxcTaskManage(SzxcTaskManage szxcTaskManage)
    {
        szxcTaskManage.setUpdateTime(DateUtils.getNowDate());
        return szxcTaskManageMapper.updateSzxcTaskManage(szxcTaskManage);
    }

    /**
     * 批量删除任务管理
     * 
     * @param ids 需要删除的任务管理主键
     * @return 结果
     */
    @Override
    public int deleteSzxcTaskManageByIds(Long[] ids)
    {
        return szxcTaskManageMapper.deleteSzxcTaskManageByIds(ids);
    }

    /**
     * 删除任务管理信息
     * 
     * @param id 任务管理主键
     * @return 结果
     */
    @Override
    public int deleteSzxcTaskManageById(Long id)
    {
        return szxcTaskManageMapper.deleteSzxcTaskManageById(id);
    }
}
